{
	WGPCMDAT - Un programma per trasmettere via packet i tempi dei rally
	Copyright (C) 2008 Sezione ARI Casale Monferrato & I1EPJ

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Uconfser;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TConfSer = class(TForm)
    cCOMNUM: TRadioGroup;
    cSPEED: TRadioGroup;
    cBIT: TRadioGroup;
    cSTOP: TRadioGroup;
    cPARITY: TRadioGroup;
    BOK: TBitBtn;
    BAnnulla: TBitBtn;
    cHAND: TRadioGroup;
    Label1: TLabel;
    cInitTNC: TCheckBox;
    procedure BAnnullaClick(Sender: TObject);
    procedure BOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ConfSer: TConfSer;

implementation

uses Wgpcmu1;

{$R *.DFM}

procedure TConfSer.BAnnullaClick(Sender: TObject);
begin
	Hide;
end;

procedure TConfSer.BOKClick(Sender: TObject);
begin
	with Config do begin
	        ComPort :=  cCOMNUM.ItemIndex;
	        ComBaud := cSPEED.ItemIndex;
        	ComParity := cPARITY.ItemIndex;
                ComBits := cBIT.ItemIndex;
	        ComStops := cSTOP.ItemIndex;
                ComHandshake := cHAND.ItemIndex;
                InizializzaTNC := cInitTNC.Checked;
        end;
        MainForm.SalvaConfig;
        MainForm.InizializzaRS232;
	Hide;
end;


procedure TConfSer.FormCreate(Sender: TObject);
begin
	cCOMNUM.ItemIndex := Config.ComPort;
	cSPEED.ItemIndex := Config.ComBaud;
	cPARITY.ItemIndex := Config.ComParity;
	cBIT.ItemIndex := Config.ComBits;
	cSTOP.ItemIndex := Config.ComPort;
	cHAND.ItemIndex := Config.ComHandshake;
	cCOMNUM.ItemIndex := Config.ComPort;
        cInitTNC.Checked := Config.InizializzaTNC;
end;


end.
